Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.component.ts	(revision 59675)
@@ -2,7 +2,14 @@
 import {ActivatedRoute, Router} from '@angular/router';
 import {DomSanitizer, Title} from '@angular/platform-browser';
 import {EnvProperties} from '../openaireLibrary/utils/properties/env-properties';
-import {Category, Section, Stakeholder, SubCategory, Topic} from "../openaireLibrary/monitor/entities/stakeholder";
+import {
+  Category,
+  Section,
+  Stakeholder,
+  SubCategory,
+  Topic,
+  Visibility
+} from "../openaireLibrary/monitor/entities/stakeholder";
 import {StakeholderService} from "../openaireLibrary/monitor/services/stakeholder.service";
 import {HelperFunctions} from "../openaireLibrary/utils/HelperFunctions.class";
 import {AlertModal} from "../openaireLibrary/utils/modal/alert";
@@ -84,7 +91,7 @@
               this.subCategoryIndex = 0;
               // console.debug(this. stakeholder.topics[this.topicIndex])
               // console.debug(this. stakeholder.topics[this.topicIndex].categories)
-              console.debug( this. stakeholder.topics[this.topicIndex].categories[this.categoryIndex].subCategories[this.subCategoryIndex])
+              // console.debug( this. stakeholder.topics[this.topicIndex].categories[this.categoryIndex].subCategories[this.subCategoryIndex])
               if (this.topicIndex === -1) {
                 this.navigateToError();
               } else {
@@ -150,8 +157,7 @@
           this.stakeholderUtils.aliasValidator(topics)
         ]
       ),
-      isActive: this.fb.control(topic.isActive),
-      isPublic: this.fb.control(topic.isPublic),
+      visibility: this.fb.control(topic.visibility),
       defaultId: this.fb.control(topic.defaultId),
       categories: this.fb.control(topic.categories),
       icon: this.fb.control(topic.icon)
@@ -171,7 +177,7 @@
     this.index = index;
     this.type = 'topic';
     if (index === -1) {
-      this.buildTopic(new Topic(null, null, null, true, true));
+      this.buildTopic(new Topic(null, null, null, "PUBLIC"));
     } else {
       this.buildTopic(this.stakeholder.topics[index]);
     }
@@ -189,25 +195,16 @@
     }
   }
   
-  public toggleTopicStatus(index=this.topicIndex) {
+  public toggleTopicStatus(index=this.topicIndex, visibility:Visibility) {
     this.type = 'topic';
     let path = [
       this.stakeholder._id,
       this.stakeholder.topics[index]._id
     ];
-    this.toggleStatus(this.stakeholder.topics[index], path);
+    this.toggleStatus(this.stakeholder.topics[index], path, visibility);
   }
+
   
-  public toggleTopicAccess(index=this.topicIndex) {
-    this.index = index;
-    this.type = 'topic';
-    let path = [
-      this.stakeholder._id,
-      this.stakeholder.topics[index]._id
-    ];
-    this.toggleAccess(this.stakeholder.topics[index], path);
-  }
-  
   public deleteTopicOpen( index=this.topicIndex, childrenAction: string = null) {
     this.type = 'topic';
     this.index = index;
@@ -246,8 +243,7 @@
           this.stakeholderUtils.aliasValidator(categories)
         ]
       ),
-      isActive: this.fb.control(category.isActive),
-      isPublic: this.fb.control(category.isPublic),
+      visibility: this.fb.control(category.visibility),
       defaultId: this.fb.control(category.defaultId),
       subCategories: this.fb.control(category.subCategories)
     });
@@ -266,7 +262,7 @@
     this.index = index;
     this.type = 'category';
     if (index === -1) {
-      this.buildCategory(new Category(null, null, null, true, true));
+      this.buildCategory(new Category(null, null, null, "PUBLIC"));
     } else {
       this.buildCategory(this.stakeholder.topics[this.topicIndex].categories[index]);
     }
@@ -291,7 +287,7 @@
     }
   }
   
-  public toggleCategoryStatus(index: number) {
+  public toggleCategoryStatus(index: number, visibility:Visibility) {
     this.index = index;
     this.type = 'category';
     let path = [
@@ -299,20 +295,10 @@
       this.stakeholder.topics[this.topicIndex]._id,
       this.stakeholder.topics[this.topicIndex].categories[this.index]._id
     ];
-    this.toggleStatus(this.stakeholder.topics[this.topicIndex].categories[this.index], path);
+    this.toggleStatus(this.stakeholder.topics[this.topicIndex].categories[this.index], path, visibility);
   }
+
   
-  public toggleCategoryAccess(index: number) {
-      this.index = index;
-      this.type = 'category';
-      let path = [
-          this.stakeholder._id,
-          this.stakeholder.topics[this.topicIndex]._id,
-          this.stakeholder.topics[this.topicIndex].categories[this.index]._id
-      ];
-      this.toggleAccess(this.stakeholder.topics[this.topicIndex].categories[this.index], path);
-  }
-  
   public deleteCategoryOpen(index: number, childrenAction: string = null) {
     this.type = 'category';
     this.index = index;
@@ -343,8 +329,7 @@
           this.stakeholderUtils.aliasValidator(subCategories)
         ]
       ),
-      isActive: this.fb.control(subCategory.isActive),
-      isPublic: this.fb.control(subCategory.isPublic),
+      visibility: this.fb.control(subCategory.visibility),
       defaultId: this.fb.control(subCategory.defaultId),
       charts: this.fb.control(subCategory.charts),
       numbers: this.fb.control(subCategory.numbers)
@@ -364,7 +349,7 @@
     this.index = index;
     this.type = 'subcategory';
     if (index === -1) {
-      this.buildSubcategory(new SubCategory(null, null, null, true, true));
+      this.buildSubcategory(new SubCategory(null, null, null, "PUBLIC"));
     } else {
       this.buildSubcategory(this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[index]);
     }
@@ -392,8 +377,8 @@
       }
     }
   }
-    
-    public toggleSubcategoryStatus(index: number) {
+
+    public toggleSubcategoryStatus(index: number, visibility:Visibility) {
         this.index = index;
         this.type = 'subcategory';
         let path = [
@@ -402,20 +387,10 @@
             this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex]._id,
             this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[this.index]._id
         ];
-        this.toggleStatus(this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[this.index], path);
+        this.toggleStatus(this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[this.index], path, visibility);
     }
     
-    public toggleSubcategoryAccess(index: number) {
-        this.index = index;
-        this.type = 'subcategory';
-        let path = [
-            this.stakeholder._id,
-            this.stakeholder.topics[this.topicIndex]._id,
-            this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex]._id,
-            this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[this.index]._id
-        ];
-        this.toggleAccess(this.stakeholder.topics[this.topicIndex].categories[this.selectedCategoryIndex].subCategories[this.index], path);
-    }
+
   
   public deleteSubcategoryOpen(index, childrenAction: string = null) {
     this.type = 'subcategory';
@@ -514,30 +489,22 @@
       });
     });
   }
-  
-  private toggleStatus(element: Topic | Category | SubCategory, path: string[]) {
-    this.stakeholderService.toggleStatus(this.properties.monitorServiceAPIURL, path).subscribe(isActive => {
-      element.isActive = isActive;
-      this.stakeholderService.setStakeholder(this.stakeholder);
-      UIkit.notification(StringUtils.capitalize(this.type) + ' has been successfully changed to ' + (isActive ? 'active' : 'inactive'), {
-        status: 'success',
-        timeout: 3000,
-        pos: 'top-left'
-      });
-    }, error => {
-      UIkit.notification(error.error.message, {
-        status: 'danger',
-        timeout: 3000,
-        pos: 'top-left'
-      });
-    });
+
+  public toggleStatusByIndex(index: number, visibility:Visibility, type) {
+    if(type == "sub"){
+      this.toggleSubcategoryStatus(index,visibility);
+    }else if(type == "cat"){
+      this.toggleCategoryStatus(index,visibility);
+    }
+    else if(type == "topic") {
+      this.toggleTopicStatus(index,visibility);
+    }
   }
-  
-  private toggleAccess(element: Topic | Category | SubCategory, path: string[]) {
-    this.stakeholderService.toggleAccess(this.properties.monitorServiceAPIURL, path).subscribe(isPublic => {
-      element.isPublic = isPublic;
+  private toggleStatus(element: Topic | Category | SubCategory, path: string[], visibility:Visibility) {
+    this.stakeholderService.toggleVisibility(this.properties.monitorServiceAPIURL, path, visibility).subscribe(visibility => {
+      element.visibility = visibility;
       this.stakeholderService.setStakeholder(this.stakeholder);
-      UIkit.notification(StringUtils.capitalize(this.type) + ' has been successfully changed to ' + (isPublic ? 'public' : 'private'), {
+      UIkit.notification(StringUtils.capitalize(this.type) + ' has been successfully changed to ' + visibility.toLowerCase, {
         status: 'success',
         timeout: 3000,
         pos: 'top-left'
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/indicators.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/indicators.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/indicators.component.ts	(revision 59675)
@@ -9,8 +9,15 @@
   SimpleChanges,
   ViewChild
 } from "@angular/core";
-import {Indicator, IndicatorPath, IndicatorType, Section, Stakeholder} from "../openaireLibrary/monitor/entities/stakeholder";
-import {IndicatorUtils} from "../utils/indicator-utils";
+import {
+  Indicator,
+  IndicatorPath,
+  IndicatorType,
+  Section,
+  Stakeholder,
+  Visibility
+} from "../openaireLibrary/monitor/entities/stakeholder";
+import {IndicatorUtils, StakeholderUtils} from "../utils/indicator-utils";
 import {FormArray, FormBuilder, FormControl, FormGroup, Validators} from "@angular/forms";
 import {AlertModal} from "../openaireLibrary/utils/modal/alert";
 import {StatisticsService} from "../utils/services/statistics.service";
@@ -45,6 +52,7 @@
   public user = null;
   public preview: string;
   public indicatorUtils: IndicatorUtils = new IndicatorUtils();
+  public stakeholderUtils: StakeholderUtils = new StakeholderUtils();
   public numberIndicatorFb: FormGroup;
   public chartIndicatorFb: FormGroup;
   public chartSections: FormArray;
@@ -71,7 +79,7 @@
   /**
    * Toggles
    */
-  public grid: boolean = true;
+  // public grid: boolean = true;
   public editing: boolean = false;
   /** Safe Urls*/
   public safeUrls: Map<string, SafeResourceUrl> = new Map<string, SafeResourceUrl>([]);
@@ -91,7 +99,7 @@
   public indicatorChildrenActionOnDelete: string;
   
   urlParameterizedMessage = "";
-  constructor(private layoutService: LayoutService,
+   constructor(private layoutService: LayoutService,
               private stakeholderService: StakeholderService,
               private statisticsService: StatisticsService,
               private userManagementService: UserManagementService,
@@ -203,15 +211,10 @@
   hide(element: any) {
     UIkit.dropdown(element).hide();
   }
-  
-  public changeGrid(value) {
-    this.grid = value;
-  }
-  
+
   private buildFilters() {
     this.filters = this.fb.group({
       chartType: this.fb.control('all'),
-      privacy: this.fb.control('all'),
       status: this.fb.control('all'),
       keyword: this.fb.control('')
     });
@@ -218,9 +221,7 @@
     this.subscriptions.push(this.filters.get('chartType').valueChanges.subscribe(value => {
       this.onChartTypeChange(value);
     }));
-    this.subscriptions.push(this.filters.get('privacy').valueChanges.subscribe(value => {
-      this.onPrivacyChange(value);
-    }));
+
     this.subscriptions.push(this.filters.get('status').valueChanges.subscribe(value => {
       this.onStatusChange(value);
     }));
@@ -255,10 +256,9 @@
   }
   
   filterCharts() {
-    this.displayCharts = this.filterChartType(this.filterPrivacy(
+    this.displayCharts = this.filterChartType(
       this.filterStatus(this.filterByKeyword(HelperFunctions.copy(this.charts), this.filters.value.keyword),
         this.filters.value.status),
-      this.filters.value.privacy),
       this.filters.value.chartType
     );
     this.displayCharts.forEach(section => {
@@ -276,10 +276,9 @@
   }
   
   filterNumbers() {
-    this.displayNumbers = this.filterPrivacy(this.filterStatus(
+    this.displayNumbers = this.filterStatus(
       this.filterByKeyword(HelperFunctions.copy(this.numbers), this.filters.value.keyword),
-      this.filters.value.status),
-      this.filters.value.privacy);
+      this.filters.value.status);
     this.buildSections();
   }
   
@@ -287,11 +286,7 @@
     this.displayCharts = this.filterChartType(HelperFunctions.copy(this.charts), value);
   }
   
-  onPrivacyChange(value) {
-    this.displayCharts = this.filterPrivacy(HelperFunctions.copy(this.charts), value);
-    this.displayNumbers = this.filterPrivacy(HelperFunctions.copy(this.numbers), value);
-  }
-  
+
   onStatusChange(value) {
     this.displayCharts = this.filterStatus(HelperFunctions.copy(this.charts), value);
     this.displayNumbers = this.filterStatus(HelperFunctions.copy(this.numbers), value);
@@ -311,18 +306,12 @@
     return sections;
   }
   
-  private filterPrivacy(sections: Section[], value): Section[] {
-    if (value !== 'all') {
-      sections.forEach(section =>
-        section.indicators = section.indicators.filter(indicator => indicator.isPublic === value));
-    }
-    return sections;
-  }
+
   
   private filterStatus(sections: Section[], value): Section[] {
     if (value !== 'all') {
       sections.forEach(section =>
-        section.indicators = section.indicators.filter(indicator => indicator.isActive === value));
+        section.indicators = section.indicators.filter(indicator => indicator.visibility === value));
     }
     return sections;
   }
@@ -371,8 +360,8 @@
   }
   
   get canReorder(): boolean {
-    return this.filters.value.chartType === 'all' && this.filters.value.privacy === 'all' &&
-      this.filters.value.status === 'all' && this.filters.value.keyword === '' && this.grid && !this.editing;
+    return this.filters.value.chartType === 'all' &&
+      this.filters.value.status === 'all' && this.filters.value.keyword === '' && !this.editing;
   }
   
   get canEdit() {
@@ -578,8 +567,7 @@
         _id: this.fb.control(this.indicator._id),
         name: this.fb.control(this.indicator.name, Validators.required),
         description: this.fb.control(this.indicator.description),
-        isPublic: this.fb.control(this.indicator.isPublic),
-        isActive: this.fb.control(this.indicator.isActive),
+        visibility: this.fb.control(this.indicator.visibility),
         indicatorPaths: this.fb.array([], Validators.required),
         type: this.fb.control(this.indicator.type),
         width: this.fb.control(this.indicator.width),
@@ -589,13 +577,12 @@
         this.addNumberIndicatorPath(this.statisticsService.getNumberUrl(indicatorPath.source,this.indicatorUtils.getFullUrl(this.stakeholder, indicatorPath)),indicatorPath.parameters, indicatorPath.source, this.getJsonPathAsFormArray(indicatorPath));
       });
     } else {
-      this.indicator = new Indicator('', '', 'number', 'small', true, true, []);
+      this.indicator = new Indicator('', '', 'number', 'small', "PUBLIC", []);
       this.numberIndicatorFb = this.fb.group({
         _id: this.fb.control(this.indicator._id),
         name: this.fb.control(this.indicator.name, Validators.required),
         description: this.fb.control(this.indicator.description),
-        isPublic: this.fb.control(this.indicator.isPublic),
-        isActive: this.fb.control(this.indicator.isActive),
+        visibility: this.fb.control(this.indicator.visibility),
         indicatorPaths: this.fb.array([], Validators.required),
         type: this.fb.control(this.indicator.type),
         width: this.fb.control(this.indicator.width),
@@ -631,8 +618,7 @@
         _id: this.fb.control(this.indicator._id),
         name: this.fb.control(this.indicator.name),
         description: this.fb.control(this.indicator.description),
-        isPublic: this.fb.control(this.indicator.isPublic),
-        isActive: this.fb.control(this.indicator.isActive),
+        visibility: this.fb.control(this.indicator.visibility),
         indicatorPaths: this.fb.array([]),
         width: this.fb.control(this.indicator.width),
         defaultId: this.fb.control(this.indicator.defaultId)
@@ -643,13 +629,12 @@
         indicatorPath.safeResourceUrl = this.getSecureUrlByStakeHolder(indicatorPath);
       });
     } else {
-      this.indicator = new Indicator('', '', 'chart', 'medium', true, true, []);
+      this.indicator = new Indicator('', '', 'chart', 'medium', "PUBLIC",[]);
       this.chartIndicatorFb = this.fb.group({
         _id: this.fb.control(this.indicator._id),
         name: this.fb.control(this.indicator.name),
         description: this.fb.control(this.indicator.description),
-        isPublic: this.fb.control(this.indicator.isPublic),
-        isActive: this.fb.control(this.indicator.isActive),
+        visibility: this.fb.control(this.indicator.visibility),
         indicatorPaths: this.fb.array([]),
         width: this.fb.control(this.indicator.width, Validators.required),
         defaultId: this.fb.control(this.indicator.defaultId)
@@ -817,7 +802,7 @@
     });
   }
   
-  toggleIndicatorStatus(sectionId: string, indicator: Indicator) {
+  toggleIndicatorStatus(sectionId: string, indicator: Indicator, visibility:Visibility) {
     this.editing = true;
     let path = [
       this.stakeholder._id,
@@ -827,9 +812,9 @@
       sectionId,
       indicator._id
     ];
-    this.stakeholderService.toggleStatus(this.properties.monitorServiceAPIURL, path).subscribe(isActive => {
-      indicator.isActive = isActive;
-      UIkit.notification('Indicator has been successfully changed to ' + (isActive?'active':'inactive'), {
+    this.stakeholderService.toggleVisibility(this.properties.monitorServiceAPIURL, path, visibility).subscribe(visibility => {
+      indicator.visibility = visibility;
+      UIkit.notification('Indicator has been successfully changed to ' + visibility.toLowerCase, {
         status: 'success',
         timeout: 3000,
         pos: 'top-left'
@@ -845,7 +830,7 @@
     });
   }
   
-  toggleIndicatorAccess(sectionId: string, indicator: Indicator) {
+  /*toggleIndicatorAccess(sectionId: string, indicator: Indicator) {
     this.editing = true;
     let path = [
       this.stakeholder._id,
@@ -855,9 +840,9 @@
       sectionId,
       indicator._id
     ];
-    this.stakeholderService.toggleAccess(this.properties.monitorServiceAPIURL, path).subscribe(isPublic => {
-      indicator.isPublic = isPublic;
-      UIkit.notification('Indicator has been successfully changed to ' + (isPublic?'public':'private'), {
+    this.stakeholderService.toggleAccess(this.properties.monitorServiceAPIURL, path).subscribe(visibility => {
+      indicator.visibility = visibility;
+      UIkit.notification('Indicator has been successfully changed to ' + (visibility?'public':'private'), {
         status: 'success',
         timeout: 3000,
         pos: 'top-left'
@@ -871,7 +856,7 @@
       });
       this.editing = false;
     });
-  }
+  }*/
   
   saveSection(section: Section, index: number, type: IndicatorType = "chart") {
     this.editing = true;
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.module.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/topic/topic.module.ts	(revision 59675)
@@ -14,11 +14,14 @@
 import {InputModule} from "../openaireLibrary/dashboard/sharedComponents/input/input.module";
 import {ClickModule} from "../openaireLibrary/utils/click/click.module";
 import {AdminDashboardGuard} from "../utils/adminDashboard.guard";
+import {IconsService} from "../openaireLibrary/utils/icons/icons.service";
+import {preview, bullet} from "../openaireLibrary/utils/icons/icons";
+import {IconsModule} from "../openaireLibrary/utils/icons/icons.module";
 
 @NgModule({
   imports: [
     CommonModule, TopicRoutingModule, ClickModule, RouterModule, FormsModule, AlertModalModule,
-    ReactiveFormsModule, InputModule
+    ReactiveFormsModule, InputModule, IconsModule
   ],
   declarations: [
     TopicComponent, IndicatorsComponent
@@ -32,4 +35,7 @@
   ]
 })
 export class TopicModule {
+  constructor(private iconsService: IconsService) {
+    this.iconsService.registerIcons([preview, bullet]);
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.beta.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.beta.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.beta.ts	(revision 59675)
@@ -11,7 +11,7 @@
   framesAPIURL: "https://beta.openaire.eu/stats3/",
   statisticsAPIURL: "https://beta.services.openaire.eu/stats-api/",
   statisticsFrameAPIURL: "https://beta.openaire.eu/stats/",
-  statisticsFrameNewAPIURL: "https://stats.madgik.di.uoa.gr/stats-api/",
+  statisticsFrameNewAPIURL: "https://beta.services.openaire.eu/stats-tool/",
   useNewStatistisTool: true,
   claimsAPIURL: "https://beta.services.openaire.eu/claims/rest/claimsService/",
   searchAPIURLLAst: "https://beta.services.openaire.eu/search/v2/api/",
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/environments/environment.ts	(revision 59675)
@@ -16,7 +16,7 @@
   framesAPIURL: "https://beta.openaire.eu/stats3/",
   statisticsAPIURL: "https://beta.services.openaire.eu/stats-api/",
   statisticsFrameAPIURL: "https://beta.openaire.eu/stats/",
-  statisticsFrameNewAPIURL: "http://88.197.53.71:8080/stats-api/",
+  statisticsFrameNewAPIURL: "https://beta.services.openaire.eu/stats-tool/",
   useNewStatistisTool: false,
   claimsAPIURL: "http://scoobydoo.di.uoa.gr:8080/dnet-claims-service-2.0.0-SNAPSHOT/rest/claimsService/",
   searchAPIURLLAst: "https://beta.services.openaire.eu/search/v2/api/",
